import * as __WEBPACK_EXTERNAL_MODULE__data_source_collection_field_interface_CollectionFieldInterface_mjs__ from "../../data-source/collection-field-interface/CollectionFieldInterface.mjs";
import * as __WEBPACK_EXTERNAL_MODULE__properties_index_mjs__ from "./properties/index.mjs";
function _define_property(obj, key, value) {
    if (key in obj) Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
    });
    else obj[key] = value;
    return obj;
}
class TimeFieldInterface extends __WEBPACK_EXTERNAL_MODULE__data_source_collection_field_interface_CollectionFieldInterface_mjs__.CollectionFieldInterface {
    constructor(...args){
        super(...args), _define_property(this, "name", 'time'), _define_property(this, "type", 'object'), _define_property(this, "group", 'datetime'), _define_property(this, "order", 2), _define_property(this, "title", '{{t("Time")}}'), _define_property(this, "sortable", true), _define_property(this, "default", {
            type: 'time',
            uiSchema: {
                type: 'string',
                'x-component': 'TimePicker'
            }
        }), _define_property(this, "availableTypes", [
            'time'
        ]), _define_property(this, "hasDefaultValue", true), _define_property(this, "properties", {
            ...__WEBPACK_EXTERNAL_MODULE__properties_index_mjs__.defaultProps,
            'uiSchema.x-component-props.format': {
                type: 'string',
                title: '{{t("Time format")}}',
                'x-component': 'Radio.Group',
                'x-decorator': 'FormItem',
                default: 'HH:mm:ss',
                enum: [
                    {
                        label: '{{t("12 hour")}}',
                        value: 'hh:mm:ss a'
                    },
                    {
                        label: '{{t("24 hour")}}',
                        value: 'HH:mm:ss'
                    }
                ]
            }
        }), _define_property(this, "filterable", {
            operators: __WEBPACK_EXTERNAL_MODULE__properties_index_mjs__.operators.time
        }), _define_property(this, "titleUsable", true);
    }
}
export { TimeFieldInterface };
